Debian Bug report logs - #689531
Static config doesn't work - disable_autoconfig needed

version graph

Package: oldsys-preseed; Maintainer for oldsys-preseed is Debian Install System Team <debian-boot@lists.debian.org>; Source for oldsys-preseed is src:oldsys-preseed.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Wed, 3 Oct 2012 17:09:02 UTC

Severity: serious

Fixed in version oldsys-preseed/3.13

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#689531; Package oldsys-preseed. (Wed, 03 Oct 2012 17:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 03 Oct 2012 17:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: Static config doesn't work - disable_autoconfig needed
Date: Wed, 3 Oct 2012 18:03:59 +0100
Package: oldsys-preseed
Severity: serious

I noticed that d-i used DHCP, even though the /preseed.cfg information
specified a static IP.  Apparently disable_autoconfig is required now.

See http://lists.debian.org/debian-boot/2012/10/msg00023.html

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#689531; Package oldsys-preseed. (Wed, 03 Oct 2012 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 03 Oct 2012 21:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 689531@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>,689531@bugs.debian.org
Subject: Re: Bug#689531: Static config doesn't work - disable_autoconfig needed
Date: Wed, 03 Oct 2012 23:34:07 +0200
Please give us time post-b3 to finalize the preseeding details before uploading a fix. Unless b3 is postponed for this. It's possible/likely that we revert the new behavior or support the old setting in addition. It is an open to-do item for netcfg in any case but we agreed back then not to delay b3 for it.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#689531; Package oldsys-preseed. (Wed, 03 Oct 2012 22:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 03 Oct 2012 22:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 689531@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Philipp Kern <pkern@debian.org>
Cc: 689531@bugs.debian.org
Subject: Re: Bug#689531: Static config doesn't work - disable_autoconfig needed
Date: Wed, 3 Oct 2012 23:02:39 +0100
* Philipp Kern <pkern@debian.org> [2012-10-03 23:34]:
> Please give us time post-b3 to finalize the preseeding details
> before uploading a fix. Unless b3 is postponed for this.

No need to delay b3 for this imho.

Please let me know post-b3 what I have to change in oldsys-preseed or
commit your fix directly.

Thanks.
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#689531; Package oldsys-preseed. (Wed, 03 Oct 2012 22:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 03 Oct 2012 22:39:05 GMT) Full text and rfc822 format available.

Message #20 received at 689531@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>, 689531@bugs.debian.org
Cc: Philipp Kern <pkern@debian.org>
Subject: Re: Bug#689531: Static config doesn't work - disable_autoconfig needed
Date: Thu, 4 Oct 2012 00:34:07 +0200
[Message part 1 (text/plain, inline)]
Martin Michlmayr <tbm@cyrius.com> (03/10/2012):
> No need to delay b3 for this imho.
> 
> Please let me know post-b3 what I have to change in oldsys-preseed
> or commit your fix directly.

Looks like a candidate for an errata item indeed. Feel free to provide
me/the list with the usual one-line summary plus a paragraph with
details/pointers to the relevant bug reports, I'll try and make sure
it appears on http://www.debian.org/devel/debian-installer/errata and
in the announce itself (as usual).

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Mon, 05 Nov 2012 21:51:09 GMT) Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. (Mon, 05 Nov 2012 21:51:09 GMT) Full text and rfc822 format available.

Message #25 received at 689531-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 689531-close@bugs.debian.org
Subject: Bug#689531: fixed in oldsys-preseed 3.13
Date: Mon, 05 Nov 2012 21:47:36 +0000
Source: oldsys-preseed
Source-Version: 3.13

We believe that the bug you reported is fixed in the latest version of
oldsys-preseed, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689531@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated oldsys-preseed package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 05 Nov 2012 22:32:44 +0100
Source: oldsys-preseed
Binary: oldsys-preseed
Architecture: source amd64
Version: 3.13
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 oldsys-preseed - Preseed debian-installer from an existing device (udeb)
Closes: 687212 689531
Changes: 
 oldsys-preseed (3.13) unstable; urgency=low
 .
   [ Martin Michlmayr ]
   * Ignore a missing gateway with DHCP, thanks Eugeniy Meshcheryako.
     Closes: #687212
   * Use netcfg/disable_autoconfig instead of netcfg/disable_dhcp.
     Closes: #689531
 .
   [ Christian Perrier ]
   * Add myself to Uploaders
   * Replace XC-Package-Type by Package-Type in debian/control
Checksums-Sha1: 
 9c3b8108cba145517d83d2af0f680cbec9615442 1640 oldsys-preseed_3.13.dsc
 9f2d4a9710669196b310b43d7d8ffde3ecfb9f6e 308398 oldsys-preseed_3.13.tar.gz
 c62a18d2bfbeca66dfaaaf93035174257c06cfe5 6342 oldsys-preseed_3.13_amd64.udeb
Checksums-Sha256: 
 a42a2e1ca71b532cd18f6aff111beb2c2eaf222927bd07abae832b61e3f17a4e 1640 oldsys-preseed_3.13.dsc
 496631c5950add6fec94f8ee4aeeed5b1ad031dd17afd6dd34b00afafdec91a9 308398 oldsys-preseed_3.13.tar.gz
 241ffab33961ed64a9909dad6c1d69c25769c72ef5ec9683423885ea7abd9644 6342 oldsys-preseed_3.13_amd64.udeb
Files: 
 1e2396d7b9a2f80088c91290108feeee 1640 debian-installer optional oldsys-preseed_3.13.dsc
 edbc2fcca73bf8e4b64dd0657606639b 308398 debian-installer optional oldsys-preseed_3.13.tar.gz
 fc2897a9f01b6fd41d94164a4981bd9d 6342 debian-installer optional oldsys-preseed_3.13_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQmDFfAAoJEDEBgAUJBeQMbboQAMkQby0jrb2CbECr1Wryi3rH
uYji6ZiOUdM7t5PfvHRVkKcUGZwUm6qTwOyqwmP3kZ1o9PFUBFcbreKZ0hT1Rx8P
rWh9gofINtPTyq8nTqcmGvfsteQ/FAmu0I4F3zv8ejk5Pvq2YgzrzoET38MS8/Mr
QHcyZoTwiBVjncR5QG108PAcQIRd6P5in+Jdzm7PL99XwYbzhPJmP3PkbVJLRCo1
sTzMoRQpZu6w/3bhbONP95hr29jzSXj18sJbfoid1UuSOhEst+7ZAP1+oxPKv467
jiCDGRolqA82DeLmx1Qp/KVKzvuJffNqb9YtgQ8ZpEQSq+ObIMjLKF/bFvB6uM9o
PMsJ6udEXj5oFucj3xUQDMG6W+57L5HadOI863g/R9hSBCWkpbooSdncWNlYEz1R
gXgsfiTUJbOFX0UY+iztZFHU4fd3cvfxpic/wSttDOwbWQMtON9O0JUrW/d3jT0w
VQPz3vVVI+gpkgOGfDEDTsHNqCjJCXO/dgtjQuODB0EEzrctdmd/FrhTH1khusZk
O8qxwhzZZAotZITuRj4PggLyGaBMkh059MZbMmUZM19kB/hmt7QZ9imJkbWwefAh
YV7kDPUYxK2ndx6PPqAG5P8UOEGrZ45NIQ0JFabRRDit2c+B+LGK6Wf7noJQKn3q
BRw4kjYHvo4tdqArDvku
=1XHt
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:47:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:29:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.